VPos (JavaFX 13)

Module javafx.graphics
Package javafx.geometry

## Enum VPos

- java.lang.Object
- - java.lang.Enum<VPos>
  - - javafx.geometry.VPos

- All Implemented Interfaces:
    `Serializable`, `Comparable<VPos>`

      public enum VPos
      extends Enum<VPos>

  A set of values for describing vertical positioning and alignment.
  Since:
    JavaFX 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BASELINE` | Indicates baseline vertical position.
    `BOTTOM` | Indicates bottom vertical position.
    `CENTER` | Indicates centered vertical position.
    `TOP` | Indicates top vertical position.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VPos` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static VPos[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP

          public static final VPos TOP

      Indicates top vertical position.

    - #### CENTER

          public static final VPos CENTER

      Indicates centered vertical position.

    - #### BASELINE

          public static final VPos BASELINE

      Indicates baseline vertical position.

    - #### BOTTOM

          public static final VPos BOTTOM

      Indicates bottom vertical position.

  - ### Method Detail

    - #### values

          public static VPos[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VPos c : VPos.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VPos valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null